/*!

=========================================================
* Argon Dashboard React - v1.0.0
=========================================================

* Product Page: https://www.creative-tim.com/product/argon-dashboard-react
* Copyright 2019 Creative Tim (https://www.creative-tim.com)
* Licensed under MIT (https://github.com/creativetimofficial/argon-dashboard-react/blob/master/LICENSE.md)

* Coded by Creative Tim

=========================================================

* The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

*/
import React from "react";
import Register from "./views/examples/Register";
import Login from "./views/examples/Login";
import Profile from "./views/examples/Profile";
import Index from "./views/Index";
import Tables from "./views/examples/Tables";

const routes = [
  {
    path: "/index",
    name: "Dashboard",
    icon: "ni ni-tv-2 text-primary",
    component: () => <Index />,
    layout: "/admin",
  },
  {
    path: "/user-profile",
    name: "User Profile",
    icon: "ni ni-single-02 text-yellow",
    component: () => <Profile />,
    layout: "/admin",
  },
  {
    path: "/tables",
    name: "Tables",
    icon: "ni ni-bullet-list-67 text-red",
    component: () => <Tables />,
    layout: "/admin",
  },
  {
    path: "/login",
    name: "Login",
    icon: "ni ni-key-25 text-info",
    component: () => <Login />,
    layout: "/auth",
  },
  {
    path: "/register",
    name: "Register",
    icon: "ni ni-circle-08 text-pink",
    component: () => <Register />,
    layout: "/auth",
  },
  {
    path: "/subs",
    name: "Sub Menu",
    icon: "ni ni-bullet-list-67 text-red",
    component: () => <Tables />,
    layout: "/admin",
    subMenu: [
      {
        path: "/subs/table",
        name: "Tables",
        icon: "ni ni-bullet-list-67 text-red",
        component: () => <Tables />,
        layout: "/admin",
      },
    ]
  },
];
export default routes;
